Bug 865628 - ovirt landing page links break when hostname changes
ovirt landing page links break when hostname changes
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Juan Hernández
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 18:43 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 03:15:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-10-11 18:43:23 EDT
Description of problem:
I installed Ovirt onto an EBS backed EC2 node. Got it all setup, logged in everything was great. I then stopped the instance and left it down for a couple of weeks. 
I came back and started the instance up again (this gave the node a new public DNS entry). Since it had been a couple of weeks I had forgotten what context root and port I should go to get the admin UI (that URL is also not mentioned here: http://www.ovirt.org/get-ovirt/), so I just hit port 80 and the root context. Everything worked great, I got the landing page...

Welcome to Open Virtualization Manager.
Version 3.1.0-2
Portals

User Portal
Administrator Portal
Reports Portal


Now here is the problem. I click on the Administrator Portal link, it sits for a while spinning then I get a 404. It turns out (after an annoying amount of investigation) that the link is using the *old* public DNS entry that was correct when I first installed ovirt but is now no longer correct. I'm sure this is the entry I typed when installing ovirt, so you could just blame this on user error, but it still leaves a bad impression in this common usage scenario: the main landing page loads fine, but its links are broken. Perhaps the solution is just to use relative links on that main landing page?

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.1.0-2.fc17
Comment 1 Itamar Heim 2012-10-14 15:04:58 EDT
juan - any thoughts on this one?
Comment 2 Juan Hernández 2012-10-25 12:50:09 EDT
In 3.1.0 we still stored the host name in the /etc/ovirt-engine/web-conf.js file. That is then used by the javascript code in the page to build the links. So after a change in the host name this file needs to be updated manually.

If you try one of the latest builds you will see that that file is no longer used, and that the links are relative.

However, this is not the only problem you will find when changing the host name. Expect other harder to solve issues, like invalid certificates.
Comment 3 Itamar Heim 2013-05-12 03:15:42 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.